Loading...
Searching...
No Matches
Opm::FlashExtensiveQuantities< TypeTag > Class Template Reference

This template class contains the data which is required to calculate all fluxes of components over a face of a finite volume for the compositional multi-phase model based on flash calculations. More...

`#include <flashextensivequantities.hh>`

Inheritance diagram for Opm::FlashExtensiveQuantities< TypeTag >:

## Public Member Functions

void | update (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
| Update the extensive quantities for a given sub-control-volume-face.
template<class Context, class FluidState>
void | updateBoundary (const Context &context, unsigned bfIdx, unsigned timeIdx, const FluidState &fluidState)
| Update the extensive quantities for a given boundary face.
Public Member Functions inherited from Opm::MultiPhaseBaseExtensiveQuantities< TypeTag >
void | update (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
| Update the extensive quantities for a given sub-control-volume-face.
template<class Context, class FluidState>
void | updateBoundary (const Context &context, unsigned bfIdx, unsigned timeIdx, const FluidState &fluidState)
| Update the extensive quantities for a given boundary face.
short | upstreamIndex (unsigned phaseIdx) const
| Return the local index of the upstream control volume for a given phase as a function of the normal flux.
short | downstreamIndex (unsigned phaseIdx) const
| Return the local index of the downstream control volume for a given phase as a function of the normal flux.
Scalar | upstreamWeight (unsigned) const
| Return the weight of the upstream control volume for a given phase as a function of the normal flux.
Scalar | downstreamWeight (unsigned phaseIdx) const
| Return the weight of the downstream control volume for a given phase as a function of the normal flux.

## Additional Inherited Members

Static Public Member Functions inherited from Opm::MultiPhaseBaseExtensiveQuantities< TypeTag >
static void | registerParameters ()
| Register all run-time parameters for the extensive quantities.

## Detailed Description

template<class TypeTag>
class Opm::FlashExtensiveQuantities< TypeTag >

This template class contains the data which is required to calculate all fluxes of components over a face of a finite volume for the compositional multi-phase model based on flash calculations.

This means pressure and concentration gradients, phase densities at the integration point, etc.

## Member Function Documentation

## update()

template<class TypeTag>

void Opm::FlashExtensiveQuantities< TypeTag >::update | ( | const ElementContext & | elemCtx,
|  | unsigned | scvfIdx,
|  | unsigned | timeIdx )

inline

Update the extensive quantities for a given sub-control-volume-face.

Parameters

  elemCtx | Reference to the current element context.
  scvfIdx | The local index of the sub-control-volume face for which the extensive quantities should be calculated.
  timeIdx | The index used by the time discretization.

## updateBoundary()

template<class TypeTag>
template<class Context, class FluidState>

void Opm::FlashExtensiveQuantities< TypeTag >::updateBoundary | ( | const Context & | context,
|  | unsigned | bfIdx,
|  | unsigned | timeIdx,
|  | const FluidState & | fluidState )

inline

Update the extensive quantities for a given boundary face.

Parameters

  context | Reference to the current execution context.
  bfIdx | The local index of the boundary face for which the extensive quantities should be calculated.
  timeIdx | The index used by the time discretization.
  fluidState | The FluidState on the domain boundary.

The documentation for this class was generated from the following file:

- opm/models/flash/flashextensivequantities.hh